// creator  : weidu.exe (version 23600)
// argument : AVARICE.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~AVARICE~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from: 3.0
  SAY #22356 /* ~I am the warrior's curse 
I steal his future
I mar his past 
The more he has, the less it seems 
He becomes a slave 
Of glittering things ~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #22357 /* ~Yet I hunger... Feed me that which glitters beyond all else.~ */
  IF ~~ THEN DO ~SetGlobal("Avarice","GLOBAL",1)
~ UNSOLVED_JOURNAL #26855 /* ~The Four Warders
A strange apparition appeared to me. This is what it had to say:

I am the warrior's curse
I steal his future
I mar his past
The more he has, the less it seems
He becomes a slave
Of glittering things
Yet I hunger... Feed me that which glitters beyond all else.

I must pass these four warders to descend to the lower level. I assume that one of them will have the wardstone required to operate this lift that they are guarding. What glittering thing could this warder wish from me? Gold? A gem? I must solve this riddle in order to pass.~ */ EXIT
END

IF ~  PartyHasItem("misc1j")
~ THEN BEGIN 2 // from:
  SAY #22358 /* ~You have completed this riddle. I am AVARICE. I will bring doom upon you in this cursed place.~ */
  IF ~~ THEN DO ~TakePartyItem("misc1j")
SetGlobal("Avarice","GLOBAL",2)
AddexperienceParty(2000)
DestroySelf()
~ EXIT
END

IF ~  Global("Avarice","GLOBAL",1)
!PartyHasItem("misc1j")
~ THEN BEGIN 3 // from:
  SAY #22359 /* ~You do not yet have what I require.~ */
  IF ~~ THEN GOTO 0
END
